/*            操作权限验证
* str 为权限字符 用于匹配操作角色的字符
* str === performEvacuation   应急疏散操作权限
* str === checkGentle         安全检查
*/
export function controlsRestrictVerify(str) {
  if(str){
    let controlsRestrict = uni.getStorageSync('controlsRestrict');
    return controlsRestrict.indexOf(str) != -1;
  }else{
    return false
  }
}
/*            页面权限验证
* str 为权限字符 用于匹配操作角色的字符
*/
export function pageRestrictVerify(str) {
  if(str){
    let permissions = uni.getStorageSync('permissions')+'';
    return permissions.indexOf(str) != -1;
  }else{
    return false
  }
}

/*            硬件控制与视频监控权限验证(校级管理员/院级管理员/实验室管理员)
  subAdminId          传入的实验室管理员ID
  schoolId            校级管理员身份ID
  collegeId           院级管理员身份ID
  userInfo.position   当前用户身份ID (系统用户为NULL)
  userInfo.userId     当前用户userID
*/
export function itoOrVideoLimits(subAdminId) {
  console.log('subAdminId',subAdminId)
  let userInfo = uni.getStorageSync('user');
  let schoolId = '1815293314666532865';
  let collegeId = '1815336278075838465';
  if(userInfo.position == null){
    //如果是管理员(系统用户)
    return true
  }else if(userInfo.position == schoolId || userInfo.position == collegeId){
    //如果是校级管理员/院级管理员
    return true
  }else if(userInfo.userId == subAdminId){
    //如果当前用户userId 与 管理员ID相等
    return true
  }else{
    return false
  }



}